# FoundationClasses
TKernel
Message

# Message_ProgressScale Class Reference

Internal data structure for scale in ProgressIndicator
.

`#include <Message_ProgressScale.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Message_ProgressScale ()
| Creates scale ranged from 0 to 100 with step 1 .
void | SetName (const Standard_CString theName)
void | SetName (const Handle(TCollection_HAsciiString)&theName)
| Sets scale name .
Handle_TCollection_HAsciiString | GetName () const
| Gets scale name Name may be Null handle if not set .
void | SetMin (const Standard_Real theMin)
| Sets minimum value of scale .
Standard_Real | GetMin () const
| Gets minimum value of scale .
void | SetMax (const Standard_Real theMax)
| Sets minimum value of scale .
Standard_Real | GetMax () const
| Gets minimum value of scale .
void | SetRange (const Standard_Real min, const Standard_Real max)
| Set both min and max .
void | SetStep (const Standard_Real theStep)
| Sets default step .
Standard_Real | GetStep () const
| Gets default step .
void | SetInfinite (const Standard_Boolean theInfinite=Standard_True)
| Sets flag for infinite scale .
Standard_Boolean | GetInfinite () const
| Gets flag for infinite scale .
void | SetScale (const Standard_Real min, const Standard_Real max, const Standard_Real step, const Standard_Boolean theInfinite=Standard_True)
| Set all scale parameters .
void | SetSpan (const Standard_Real first, const Standard_Real last)
| Defines span occupied by the scale on the basis scale .
Standard_Real | GetFirst () const
Standard_Real | GetLast () const
| Return information on span occupied by the scale on the base scale .
Standard_EXPORT Standard_Real | LocalToBase (const Standard_Real val) const
Standard_EXPORT Standard_Real | BaseToLocal (const Standard_Real val) const
| Convert value from this scale to base one and back .

## Private Attributes

Handle_TCollection_HAsciiString | myName
Standard_Real | myMin
Standard_Real | myMax
Standard_Real | myStep
Standard_Boolean | myInfinite
Standard_Real | myFirst
Standard_Real | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Message_ProgressScale::Message_ProgressScale | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Message_ProgressScale::BaseToLocal | ( | const Standard_Real | val | ) | const

Standard_Real Message_ProgressScale::GetFirst | ( |  | ) | const`[inline]`

Standard_Boolean Message_ProgressScale::GetInfinite | ( |  | ) | const`[inline]`

Standard_Real Message_ProgressScale::GetLast | ( |  | ) | const`[inline]`

Standard_Real Message_ProgressScale::GetMax | ( |  | ) | const`[inline]`

Standard_Real Message_ProgressScale::GetMin | ( |  | ) | const`[inline]`

Handle_TCollection_HAsciiString Message_ProgressScale::GetName | ( |  | ) | const

Standard_Real Message_ProgressScale::GetStep | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Real Message_ProgressScale::LocalToBase | ( | const Standard_Real | val | ) | const

void Message_ProgressScale::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Message_ProgressScale::operator new | ( | size_t | size | ) | `[inline]`

void* Message_ProgressScale::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Message_ProgressScale::SetInfinite | ( | const Standard_Boolean | theInfinite = `Standard_True` | ) | `[inline]`

void Message_ProgressScale::SetMax | ( | const Standard_Real | theMax | ) | `[inline]`

void Message_ProgressScale::SetMin | ( | const Standard_Real | theMin | ) | `[inline]`

void Message_ProgressScale::SetName | ( | const Handle(TCollection_HAsciiString)& | theName | ) | `[inline]`

void Message_ProgressScale::SetName | ( | const Standard_CString | theName | ) | `[inline]`

void Message_ProgressScale::SetRange | ( | const Standard_Real | min,
|  | const Standard_Real | max
| ) | `[inline]`

void Message_ProgressScale::SetScale | ( | const Standard_Real | min,
|  | const Standard_Real | max,
|  | const Standard_Real | step,
|  | const Standard_Boolean | theInfinite = `Standard_True`
| ) | `[inline]`

void Message_ProgressScale::SetSpan | ( | const Standard_Real | first,
|  | const Standard_Real | last
| ) | `[inline]`

void Message_ProgressScale::SetStep | ( | const Standard_Real | theStep | ) | `[inline]`

## Field Documentation

Standard_Real Message_ProgressScale::myFirst `[private]`

Standard_Boolean Message_ProgressScale::myInfinite `[private]`

Standard_Real Message_ProgressScale::myLast `[private]`

Standard_Real Message_ProgressScale::myMax `[private]`

Standard_Real Message_ProgressScale::myMin `[private]`

Handle_TCollection_HAsciiString Message_ProgressScale::myName `[private]`

Standard_Real Message_ProgressScale::myStep `[private]`

The documentation for this class was generated from the following files:

- Message_ProgressScale.hxx
- Message_ProgressScale.lxx